<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.gjc.viewModel.GjcUnLoadListViewModel" />

    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical"
        tools:context=".activity.GjcUnLoadListActivity">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:orientation="horizontal">

            <LinearLayout style="@style/ll_search">

                <EditText
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入目的港"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:text="@={viewModel.destPort}"
                    android:textSize="15dp" />

            </LinearLayout>

            <LinearLayout
                style="@style/ll_search"
                android:layout_marginLeft="20dp">

                <EditText
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入代理"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:text="@={viewModel.agent}"
                    android:textSize="15dp" />

                <androidx.appcompat.widget.AppCompatSpinner
                    items="@{viewModel.agentList}"
                    onSelected="@{viewModel::agentSelected}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>

            <LinearLayout
                style="@style/ll_search"
                android:layout_marginLeft="20dp">

                <androidx.appcompat.widget.AppCompatSpinner
                    items="@{viewModel.specialCodeList}"
                    onSelected="@{viewModel::specialCodeSelected}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>

            <LinearLayout
                style="@style/ll_search"
                android:layout_marginLeft="20dp">

                <EditText
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入运单号"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:text="@={viewModel.specialCode}"
                    android:textSize="15dp" />

                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="match_parent"
                    android:onClick="@{viewModel::waybillNoScanClick}"
                    android:padding="10dp"
                    android:src="@mipmap/scan_code" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_search"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/search_shape_gnc_ware_house2"
                android:onClick="@{viewModel::searchClick}"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:src="@mipmap/search"
                    app:tint="@color/colorPrimary" />
            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

        </LinearLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:paddingTop="10dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:onClick="@{viewModel::checkAllClick}"
                android:text="全选" />

            <ImageView
                android:id="@+id/checkIcon"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginLeft="5dp"
                android:onClick="@{viewModel::checkAllClick}"
                android:src="@drawable/img_check_all" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/srl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                itemLayoutId="@{viewModel.itemLayoutId}"
                viewHolder="@{viewModel.itemViewHolder}"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_gjc_un_load" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical"
            android:paddingHorizontal="15dp">

            <TextView
                android:id="@+id/tv_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text='@{"合计：" + viewModel.count +"条数据"}'
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{viewModel::btnClick}"
                android:text="装\u3000货" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>